Bug 478416 - Incorrect license for JBoss brand
Incorrect license for JBoss brand
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.0
All Linux
high Severity high
: ---
: ---
Assigned To: Jeff Fearn
Content Services Development
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-29 14:50 EST by Richard Fontana
Modified: 2014-08-25 20:22 EDT (History)
5 users (show)

See Also:
Fixed In Version: 0.40
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-15 20:23:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Richard Fontana 2008-12-29 14:50:36 EST
Description of problem:

publican-jboss brand package legal notice assumes incorrect licensing for Red Hat documentation.  Anti-commercial use restrictions are incompatible with Red Hat documentation licensing policy.  (They may also be inconsistent with the terms of use for Fedora Hosted, which may be the subject of a separate bug report.) Therefore, the publican-jboss package should be modified accordingly. 

At present, the minimum change that must be made here is to replace CC-NC-BY-SA with CC-BY-SA (that is, the corresponding license that does not contain prohibitions on commercial use). 

Contents of COPYING must be replaced with the text of CC-BY-SA 3.0 here:
http://creativecommons.org/licenses/by-sa/3.0/legalcode
License field of jboss-publican.spec should be changed to Creative Commons Attribution-ShareAlike

Portion of Legal_Notice.xml:
Copyright <trademark class="copyright"></trademark> &YEAR; &HOLD
ER;. This material may only be distributed subject to the terms and conditions s
et forth in the Creative Commons Attribution-Noncommercial-Share Alike 3.0 Unpor
ted License (which is presently available at <ulink url="http://creativecommons.
org/licenses/by-nc-sa/3.0/">http://creativecommons.org/licenses/by-nc-sa/3.0/</u
link>).

should be modified to

Copyright <trademark class="copyright"></trademark> &YEAR; &HOLD
ER;. This material may only be distributed subject to the terms and conditions s
et forth in the Creative Commons Attribution-Share Alike 3.0 Unpor
ted License (which is presently available at <ulink url="http://creativecommons.
org/licenses/by-sa/3.0/">http://creativecommons.org/licenses/by-sa/3.0/</u
link>).


Version-Release number of selected component (if applicable):
 

How reproducible:
Happens every time

Steps to Reproduce:
1.  
 
 
Additional info:

General comment: Content of default legal notices used in generating Red Hat-copyrighted material must in all cases be cleared with Red Hat Legal Affairs.
Comment 1 Karsten Wade 2008-12-30 00:14:10 EST
Removing publican-list@redhat.com, an open and public archive list that is automatically Cc:'d on all Publican bugs.  This list, being @redhat.com, is allowed by Bugzilla to receive bugs marked private for Red Hat.
Comment 2 Jeff Fearn 2009-01-04 17:51:00 EST
Mike, yet again we repeat the same discussion.

Yet again I won't change this license without a sign off from Mike Hideo.
Comment 3 Michael Hideo 2009-01-15 19:52:33 EST
this one too would be good.
Comment 4 Jeff Fearn 2009-01-15 20:23:28 EST
will push updated publican and brand packages later today.

Note You need to log in before you can comment on or make changes to this bug.